[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.NewInstance

Creates and registers a new instance of the class, and initializes the WidgetSetClass property.

## Declaration

Source position: lclclasses.pp line 57

`public class function TLCLComponent.NewInstance: TObject; override;`

## Function result

Class instance created in the method.

## See also

TLCLComponent.WidgetSetClass |  | The class type used to create instances of this component.